version: '3'
services:
  # Servidor Web PHP com Laravel
  web:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8001:80" # Mapeia a porta 8000 do host para a porta 80 do contêiner
    volumes:
      - .:/var/www/html # Monta o diretório atual no contêiner

  # Servidor MySQL
  mysql:
    image: mysql:latest
    ports:
      - "3307:3306" # Mapeia a porta 3306 do host para a porta 3306 do contêiner
    environment:
      MYSQL_ROOT_PASSWORD: 'dpt_password_db'
      MYSQL_DATABASE: dpt_backend
    #   MYSQL_USER: root
      MYSQL_PASSWORD: 'dpt_password_db'
    volumes:
      - mysql_data:/var/lib/mysql # Monta um volume para persistir os dados do MySQL

  # phpMyAdmin para gerenciamento do MySQL
  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    ports:
      - "8081:80" # Mapeia a porta 8080 do host para a porta 80 do contêiner
    environment:
      PMA_HOST: mysql
      PMA_USER: root
      PMA_PASSWORD: 'dpt_password_db'

volumes:
  mysql_data:
